package com.gh.common.provider

import android.content.Context
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IVisitManagerProvider
import com.gh.gamecenter.manager.VisitManager

@com.therouter.inject.ServiceProvider
class VisitManagerProviderImpl : IVisitManagerProvider {
    override fun updateOkhttpCache(context: Context, newsId: String) {
        VisitManager.updateOkhttpCache(context, newsId)
    }

    override fun addUrl(ids: String) {
        VisitManager.getInstance().addUrl(ids)
    }
}